diff --git a/Languages/ISO639-2-LanguageCodes.rdf b/Languages/ISO639-2-LanguageCodes.rdf
index 2655b2a..844ab14 100644
--- a/Languages/ISO639-2-LanguageCodes.rdf
+++ b/Languages/ISO639-2-LanguageCodes.rdf
@@ -6149,8 +6149,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Cebuano language</skos:definition>
       <rdfs:label>Cebuano</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Cebuano</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">cebuano</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Cebuano</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">cebuano</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6158,9 +6158,9 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">Celtic languages remainder group</skos:definition>
       <rdfs:label>Celtic languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Celtic languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">celtiques, langues</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">celtes, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Celtic languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">celtiques, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">celtes, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6168,8 +6168,8 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">Central American Indian languages remainder group</skos:definition>
       <rdfs:label>Central American Indian languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Central American Indian languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">amérindiennes de l'Amérique centrale, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Central American Indian languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">amérindiennes de l'Amérique centrale, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6178,8 +6178,8 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Chagatai language</skos:definition>
       <rdfs:label>Chagatai</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Chagatai</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">djaghataï</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Chagatai</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">djaghataï</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6187,8 +6187,8 @@
       <rdf:type rdf:resource="&lcc-lr;LanguageFamily"/>
       <skos:definition rdf:datatype="&xsd;string">Chamic languages family</skos:definition>
       <rdfs:label>Chamic languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Chamic languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">chames, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Chamic languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">chames, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6197,8 +6197,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Cherokee language</skos:definition>
       <rdfs:label>Cherokee</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Cherokee</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">cherokee</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Cherokee</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">cherokee</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6207,8 +6207,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Cheyenne language</skos:definition>
       <rdfs:label>Cheyenne</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Cheyenne</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">cheyenne</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Cheyenne</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">cheyenne</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6217,8 +6217,8 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Chibcha language</skos:definition>
       <rdfs:label>Chibcha</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Chibcha</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">chibcha</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Chibcha</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">chibcha</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6227,8 +6227,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Chinook jargon language</skos:definition>
       <rdfs:label>Chinook jargon</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Chinook jargon</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">chinook, jargon</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Chinook jargon</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">chinook, jargon</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6237,9 +6237,9 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Chipewyan language</skos:definition>
       <rdfs:label>Chipewyan</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Chipewyan</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Dene Suline</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">chipewyan</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Chipewyan</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Dene Suline</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">chipewyan</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6248,8 +6248,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Choctaw language</skos:definition>
       <rdfs:label>Choctaw</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Choctaw</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">choctaw</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Choctaw</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">choctaw</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6258,8 +6258,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Chuukese language</skos:definition>
       <rdfs:label>Chuukese</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Chuukese</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">chuuk</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Chuukese</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">chuuk</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6268,10 +6268,10 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Classical Newari language</skos:definition>
       <rdfs:label>Classical Newari</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Classical Nepal Bhasa</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Classical Newari</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Old Newari</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">newari classique</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Classical Nepal Bhasa</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Classical Newari</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Old Newari</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">newari classique</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6279,8 +6279,8 @@
       <rdf:type rdf:resource="&lcc-lr;LanguageFamily"/>
       <skos:definition rdf:datatype="&xsd;string">Classical Syriac family</skos:definition>
       <rdfs:label>Classical Syriac</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Classical Syriac</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">syriaque classique</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Classical Syriac</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">syriaque classique</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6289,8 +6289,8 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Coptic language</skos:definition>
       <rdfs:label>Coptic</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Coptic</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">copte</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Coptic</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">copte</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6299,8 +6299,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Creek language</skos:definition>
       <rdfs:label>Creek</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Creek</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">muskogee</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Creek</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">muskogee</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6308,8 +6308,8 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">Creoles and pidgins remainder group</skos:definition>
       <rdfs:label>Creoles and pidgins</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Creoles and pidgins</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">créoles et pidgins</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Creoles and pidgins</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">créoles et pidgins</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6318,9 +6318,9 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Crimean Tatar language</skos:definition>
       <rdfs:label>Crimean Tatar</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Crimean Tatar</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Crimean Turkish</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tatar de Crimé</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Crimean Tatar</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Crimean Turkish</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">tatar de Crimé</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6328,8 +6328,8 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">Cushitic languages remainder group</skos:definition>
       <rdfs:label>Cushitic languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Cushitic languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">couchitiques, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Cushitic languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">couchitiques, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6338,8 +6338,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Dakota language</skos:definition>
       <rdfs:label>Dakota</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Dakota</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">dakota</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Dakota</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">dakota</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6348,8 +6348,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Dargwa language</skos:definition>
       <rdfs:label>Dargwa</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Dargwa</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">dargwa</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Dargwa</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">dargwa</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6358,8 +6358,8 @@
       <rdf:type rdf:resource="&lcc-lr;Macrolanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Delaware</skos:definition>
       <rdfs:label>Delaware</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Delaware</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">delaware</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Delaware</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">delaware</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6368,8 +6368,8 @@
       <rdf:type rdf:resource="&lcc-lr;Macrolanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Dinka</skos:definition>
       <rdfs:label>Dinka</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Dinka</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">dinka</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Dinka</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">dinka</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6378,8 +6378,8 @@
       <rdf:type rdf:resource="&lcc-lr;Macrolanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Dogri (macrolanguage)</skos:definition>
       <rdfs:label>Dogri</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Dogri (macrolanguage)</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">dogri</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Dogri (macrolanguage)</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">dogri</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6388,8 +6388,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Dogrib language</skos:definition>
       <rdfs:label>Dogrib</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Dogrib</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">dogrib</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Dogrib</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">dogrib</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6397,8 +6397,8 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">Dravidian languages remainder group</skos:definition>
       <rdfs:label>Dravidian languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Dravidian languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">dravidiennes, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Dravidian languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">dravidiennes, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6407,8 +6407,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Duala language</skos:definition>
       <rdfs:label>Duala</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Duala</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">douala</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Duala</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">douala</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6417,8 +6417,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Dyula language</skos:definition>
       <rdfs:label>Dyula</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Dyula</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">dioula</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Dyula</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">dioula</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6427,8 +6427,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Eastern Frisian language</skos:definition>
       <rdfs:label>Eastern Frisian</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Eastern Frisian</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">frison oriental</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Eastern Frisian</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">frison oriental</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6437,8 +6437,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Efik language</skos:definition>
       <rdfs:label>Efik</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Efik</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">efik</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Efik</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">efik</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6447,8 +6447,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Ekajuk language</skos:definition>
       <rdfs:label>Ekajuk</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Ekajuk</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">ekajuk</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Ekajuk</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">ekajuk</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6457,8 +6457,8 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Elamite language</skos:definition>
       <rdfs:label>Elamite</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Elamite</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">élamite</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Elamite</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">élamite</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6466,8 +6466,8 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">Creoles and pidgins, English based remainder group</skos:definition>
       <rdfs:label>Creoles and pidgins, English based</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Creoles and pidgins, English based</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">créoles et pidgins basés sur l'anglais</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Creoles and pidgins, English based</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">créoles et pidgins basés sur l'anglais</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6476,8 +6476,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Erzya language</skos:definition>
       <rdfs:label>Erzya</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Erzya</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">erzya</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Erzya</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">erzya</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6486,8 +6486,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Ewondo language</skos:definition>
       <rdfs:label>Ewondo</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Ewondo</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">éwondo</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Ewondo</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">éwondo</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6496,8 +6496,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Fang language</skos:definition>
       <rdfs:label>Fang</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Fang (Equatorial Guinea)</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">fang</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Fang (Equatorial Guinea)</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">fang</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6506,8 +6506,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Fanti language</skos:definition>
       <rdfs:label>Fanti</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Fanti</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">fanti</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Fanti</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">fanti</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6516,10 +6516,10 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Filipino language</skos:definition>
       <rdfs:label>Filipino</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Filipino</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Pilipino</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">filipino</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">pilipino</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Filipino</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Pilipino</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">filipino</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">pilipino</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6527,8 +6527,8 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">Finno-Ugrian languages remainder group</skos:definition>
       <rdfs:label>Finno-Ugrian languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Finno-Ugrian languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">finno-ougriennes, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Finno-Ugrian languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">finno-ougriennes, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6537,8 +6537,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Fon language</skos:definition>
       <rdfs:label>Fon</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Fon</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">fon</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Fon</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">fon</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6546,8 +6546,8 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">Creoles and pidgins, French-based remainder group</skos:definition>
       <rdfs:label>Creoles and pidgins, French-based</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Creoles and pidgins, French-based</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">créoles et pidgins basés sur le français</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Creoles and pidgins, French-based</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">créoles et pidgins basés sur le français</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6556,8 +6556,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Friulian language</skos:definition>
       <rdfs:label>Friulian</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Friulian</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">frioulan</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Friulian</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">frioulan</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6566,8 +6566,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Ga language</skos:definition>
       <rdfs:label>Ga</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Ga</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">ga</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Ga</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">ga</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6576,10 +6576,10 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Galibi Carib language</skos:definition>
       <rdfs:label>Galibi Carib</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Galibi Carib</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">carib</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">galibi</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">karib</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Galibi Carib</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">carib</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">galibi</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">karib</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6588,8 +6588,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Gayo language</skos:definition>
       <rdfs:label>Gayo</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Gayo</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">gayo</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Gayo</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">gayo</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6598,8 +6598,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Gbaya (Central African Republic)</skos:definition>
       <rdfs:label>Gbaya</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Gbaya (Central African Republic)</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">gbaya</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Gbaya (Central African Republic)</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">gbaya</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -6608,8 +6608,8 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Geez language</skos:definition>
       <rdfs:label>Geez</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Geez</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">guèze</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Geez</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">guèze</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
